ubuntu-advantage-tools should not be auto-installed on supported Ubuntu releases

Bug #1928604 reported by Norbert
22
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubuntu-advantage-tools (Ubuntu)
Invalid
Undecided
Unassigned
ubuntu-meta (Ubuntu)
Invalid
Undecided
Unassigned

Bug Description

I understand that Canonical thinks about financial profit. It is business and it is good.

But please do not install ubuntu-advantage-tools to supported releases like 18.04 LTS, 20.04 LTS and 21.04. It may confuse users. Users do not expect ESM existence on supported systems.

Revision history for this message
Norbert (nrbrtx) wrote :

In other words ubuntu-minimal should not depend on ubuntu-advantage-tools for supported releases.
You can make this dependency time-based. For example in 2023-05 add this dependency for 18.04 LTS. But currently it is not needed.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-advantage-tools (Ubuntu):
status: New → Confirmed
Changed in ubuntu-meta (Ubuntu):
status: New → Confirmed
Revision history for this message
Lucas Kanashiro (lucaskanashiro) wrote :

Thanks for taking the time to file this bug and trying to make Ubuntu better.

ubuntu-advantage-tools does not provide only a way to enable ESM, it also provides a bunch of other services (from the project README):

"The Ubuntu Advantage client provides users with a simple mechanism to view, enable, and disable offerings from Canonical on their system. The following entitlements are supported:

    Common Criteria EAL2 certification artifacts provisioning
    Canonical CIS Benchmark Audit Tool
    Ubuntu Extended Security Maintenance
    FIPS 140-2 Certified Modules
    FIPS 140-2 Non-Certified Module Updates
    Livepatch Service
"

Those other services might be useful in non-EOL releases. Due to that, the package is installed by default in all supported releases.

Changed in ubuntu-advantage-tools (Ubuntu):
status: Confirmed → Invalid
Changed in ubuntu-meta (Ubuntu):
status: Confirmed → Invalid
Norbert (nrbrtx)
tags: added: jammy
removed: groovy
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers